Subject: Re: [rfc-i] rfc-interest Digest, Vol 192, Issue 20

From: Lisa Winkler <[email-masked]>
Date: Mon, 26 Oct 2020 15:23:16 -0700

WFM

> On Oct 26, 2020, at 2:38 PM, [email-masked] wrote:
> 
> Send rfc-interest mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.rfc-editor.org/mailman/listinfo/rfc-interest
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of rfc-interest digest..."
> 
> 
> Today's Topics:
> 
>   1. Re: Poll: RFCs with page numbers (pretty please) ?
>      (Brian E Carpenter)
>   2. Re: John/rsoc: Re: Page numbers in RFCs questions /
>      preferences (Brian E Carpenter)
>   3. Re: Poll: RFCs with page numbers (pretty please) ?
>      (Carsten Bormann)
>   4. Re: Poll: RFCs with page numbers (pretty please) ?
>      (Brian E Carpenter)
>   5. Re: John/rsoc: Re: Page numbers in RFCs questions /
>      preferences (Adrian Farrel)
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Tue, 27 Oct 2020 10:16:01 +1300
> From: Brian E Carpenter <[email-masked]>
> To: Toerless Eckert <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked]
> Subject: Re: [rfc-i] Poll: RFCs with page numbers (pretty please) ?
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
> 
> On 27-Oct-20 08:10, Toerless Eckert wrote:
>> Brian:
>> 
>> RFC editor can easily check that new RFC will not have references to
>> other RFCs with page numbers.
> 
> That is only one of the many ways in which ambiguous page numbers could be harmful.
> 
>> Its also perfectly easy to have only one rendering of page numbers, so
>> therre won't be inconsistencies of page numbers on official IETF pages.
> 
> I don't get it. Web sites don't have page numbers. We agreed during the whole process of designing the new RFC format that HTML is the most desirable presentation format. Page numbers make no sense and have no value in HTML.
> So why bother with them in txt, which is now a legacy format and not very useful for new RFCs? (PDF is an oddity, since it's basically page images, so its page numbers will always be a source of confusion.)
> 
> You may have noticed that rfcdiff removes page breaks as its first step, and there's a reason for that: pages are irrelevant even when comparing plain text. As soon as you go to flowed rich text, they are even more irrelevant.
> 
> Maybe it's because I was brought up on paper tape rather than punch cards, but I can't see why anybody cares about pagination in 2020.
> 
> Regards
>    Brian
> 
> 
>> 
>> Cheers
>>    Toerless
>> 
>> On Tue, Oct 27, 2020 at 07:56:36AM +1300, Brian E Carpenter wrote:
>>> As Julian Reschke observed on the rfc-interest list, since the
>>> new RFC format was implemented:
>>> 
>>>> page numbers should not be used to refer to parts of the
>>>> RFC, because page breaks vary with output formats
>>> 
>>> So I can only see confusion if people use page numbers for
>>> any purpose whatever. So it doesn't matter if people want
>>> page numbers; they're now useless. So I won't be answering
>>> a poll, and I don't think the results are interesting.
>>> 
>>> Regards
>>>   Brian 
>>> 
>>> Regards
>>>   Brian Carpenter
>>> 
>>> On 27-Oct-20 07:01, Toerless Eckert wrote:
>>>> Since about RFC8650, newer RFC will not have any renderings with
>>>> page numbers on {datatracker,tools}.ietf.org. See explanation from
>>>> John Levine below.
>>>> 
>>>> Not having followed the details of the RFC/XMLv3 standardization process,
>>>> i was surprised by this because i think there is no reason to
>>>> have additional renderings, maybe even only on tools.ietf.org that
>>>> do include page numbers (and technically it does not seem to be a problem
>>>> either). 
>>>> 
>>>> If you care to express your position,
>>>> i have created a poll for this, please chime in there:
>>>> 
>>>> https://www.poll-maker.com/results3188562x294441dA-98
>>>> 
>>>> Cheers
>>>>    toerless
>>>> 
>>>> On Mon, Oct 26, 2020 at 01:35:43PM -0400, John R. Levine wrote:
>>>>>> Could you please explain why RSOC does not want to permit the ability
>>>>>> to have paginated RFC output options ? Also, where and when was this
>>>>>> discussed with the community ?
>>>>> 
>>>>> It was discussed in the multi-year process leading to the IAB
>>>>> publishing RFCs 7990, 7991, 7992, 7993, 7994, 7995, 7996, 7997, and
>>>>> 7998 in 2016. I'm sure you know how to find the discussions in the
>>>>> archives.  Henrik knows all of this and I cannot imagine why he did not tell
>>>>> you the same thing.
>>>>> 
>>>>> I am aware there is one recent RFC author who did not participate in
>>>>> the process at all and has been complaining that the text version of
>>>>> his RFC doesn't have page numbers. I've explained this to him more
>>>>> than once, and see no reason to waste more time on it.
>>>>> 
>>>>> R's,
>>>>> John
>>>> 
>>>> .
>>>> 
>> 
> 
> 
> ------------------------------
> 
> Message: 2
> Date: Tue, 27 Oct 2020 10:28:09 +1300
> From: Brian E Carpenter <[email-masked]>
> To: Jay Daley <[email-masked]>, Toerless Eckert <[email-masked]>
> Cc: "John R. Levine" <[email-masked]>, [email-masked],
> 	[email-masked]
> Subject: Re: [rfc-i] John/rsoc: Re: Page numbers in RFCs questions /
> 	preferences
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
> 
> https://www.rfc-editor.org/info/rfc8798 is a current example. To make the point clear, if I refer to "Table 2 in RFC 8798" that is unambiguous, but if I refer to "the table on page 6 of RFC 8798" that only works if the reader happens to find the PDF version, and it would probably be wrong for a paginated txt version.
> 
> Regards
>   Brian Carpenter
> 
> On 27-Oct-20 08:56, Jay Daley wrote:
>> 
>> 
>>> On 27/10/2020, at 8:51 AM, Toerless Eckert <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> On Mon, Oct 26, 2020 at 02:09:59PM -0500, Robert Sparks wrote:
>>>>> Who could point me to an RFC and a page# in that RFC (;-) that does
>>>>> actually include the magical words like "THERE SHALL BE NO RFC
>>>>> REPRESENTATION WITH PAGE NUMERS" ? Would really appreciate not having
>>>>> to read through the whole list of the RFC.
>>>> 
>>>> 7990 section 7.3
>>>> 
>>>> 7994 section 4.1 (doesn't mention page numbers explicitly, but their absence
>>>> is a direct consequence of this section's requirements).
>>> 
>>> Thank, Robert
>>> 
>>> Section 4. of 7994 mentions a paginated text format (58 lines/page at most).
>>> Where are those text files ?
>> 
>> On the canonical site. ?e.g.?https://www.rfc-editor.org/info/rfc7994
>> 
>> Jay
>> 
>>> 
>>> Cheers
>>> ???Toerless
>>> 
>>>>> ?then we're probably out of luck anyhow. If
>>>>> this could be driven by the community, i wonder what WG it would need to
>>>>> go to to have ough consensus applied to it.
>>>>> 
>>>>> Cheers
>>>>> ????Toerless
>>>>> 
>>>>>>> ??If we're going to add every tweak that one person wants, it's going to
>>>>>>> get awfully expensive.
>>>>>> That's a terrible generalization to bring to the question I was pointing at.
>>>>>> _This_ tweak is extremely cheap - the code already has to produce these
>>>>>> numbers for internet-drafts, so the cost is a flag.
>>>>>> 
>>>>>> The cost of a well-known published set of documents that look like RFCs but
>>>>>> have had some changes made is different and should be addressed separately.
>>>>>> (I'll point here to the inline errata for pre-v3 format rfcs.)
>>>>>> 
>>>>>>>> The RFC editor does not publish an epub format, for example. If
>>>>>>>> someone were to contribute an epub formatter that was reasonable to
>>>>>>>> merge and maintain, we should merge that. Allowing the tools to
>>>>>>>> produce page numbers for local use falls pretty close to that
>>>>>>>> doesn't it?
>>>>>>> No, it's something the IETF explicitly considered and rejected when it
>>>>>>> designed the new format.
>>>>>> Which "it"? If you meant epub, RFC7990 says
>>>>>> 
>>>>>>> 7.4. ?Potential Future Publication Formats
>>>>>>> 
>>>>>>> 7.4.1. ?EPUB
>>>>>>> 
>>>>>>> ????This format is intended for use by ebook readers and will be
>>>>>>> ????available for RFCs after the requirements have been defined. ?No
>>>>>>> ????document on this topic is currently available.
>>>>>> That certainly isn't rejection - certainly not of creating epub, and not
>>>>>> even of publishing things in epub in the long run. We had to choose what was
>>>>>> feasible with the initial tooling effort, and epub didn't make _that_ cut.
>>>>>> 
>>>>>>> Regards,
>>>>>>> John Levine, [email-masked] <mailto:[email-masked]>, Primary Perpetrator of "The Internet for
>>>>>>> Dummies",
>>>>>>> Please consider the environment before reading this e-mail. https://jl.ly
>>> 
>>> --?
>>> ---
>>> [email-masked] <mailto:[email-masked]>
>> 
>> --?
>> Jay Daley
>> IETF Executive Director
>> [email-masked] <mailto:[email-masked]>
>> 
>> 
>> _______________________________________________
>> rfc-interest mailing list
>> [email-masked]
>> https://www.rfc-editor.org/mailman/listinfo/rfc-interest
>> 
> 
> 
> 
> ------------------------------
> 
> Message: 3
> Date: Mon, 26 Oct 2020 22:33:10 +0100
> From: Carsten Bormann <[email-masked]>
> To: Brian E Carpenter <[email-masked]>
> Cc: Toerless Eckert <[email-masked]>, [email-masked],
> 	[email-masked], [email-masked], [email-masked],
> 	[email-masked]
> Subject: Re: [rfc-i] Poll: RFCs with page numbers (pretty please) ?
> Message-ID: <[email-masked]>
> Content-Type: text/plain;	charset=utf-8
> 
> On 2020-10-26, at 22:16, Brian E Carpenter <[email-masked]> wrote:
>> 
>> Maybe it's because I was brought up on paper tape rather than punch cards,
> 
> Ah!  I used both in the 1970s, but more punch cards, and even my paper tape was mostly Z-folded not rolled?  That explains it.
> 
>> but I can't see why anybody cares about pagination in 2020.
> 
> Proof by lack of imagination :-)
> 
> Apparently these people do exist, and they have been speaking up with their use cases.
> 
> Gr??e, Carsten
> 
> 
> 
> ------------------------------
> 
> Message: 4
> Date: Tue, 27 Oct 2020 10:37:39 +1300
> From: Brian E Carpenter <[email-masked]>
> To: John Scudder <[email-masked]>
> Cc: Toerless Eckert <[email-masked]>, "[email-masked]" <[email-masked]>,
> 	"[email-masked]" <[email-masked]>, "[email-masked]"
> 	<[email-masked]>, "[email-masked]" <[email-masked]>,
> 	"[email-masked]" <[email-masked]>
> Subject: Re: [rfc-i] Poll: RFCs with page numbers (pretty please) ?
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
> 
> On 27-Oct-20 10:14, John Scudder wrote:
>> On Oct 26, 2020, at 2:56 PM, Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> As Julian Reschke observed on the rfc-interest list, since the
>>> new RFC format was implemented:
>>> 
>>>> page numbers should not be used to refer to parts of the
>>>> RFC, because page breaks vary with output formats
>>> 
>>> So I can only see confusion if people use page numbers for
>>> any purpose whatever. So it doesn't matter if people want
>>> page numbers; they're now useless. So I won't be answering
>>> a poll, and I don't think the results are interesting.
>> 
>> The argument that page numbers are harmful as a way of referring to a section of the RFC is reasonable.
>> 
>> The argument that page numbers are harmful for *any* *purpose* *whatever* is not reasonable. To offer one glaringly obvious counterexample, people (I, for one) sometimes print RFCs for the purpose of reading them. Sometimes we want to make use of some kind of facility for indexing from a list of headings to facilitate direct access to the right section of the pile of printout. A table of contents, in short. This is literally what tables of contents were invented for. They remain useful for this purpose? unless some bright spark chooses to remove the page numbers from them, because they forgot what tables of contents are FOR.
> 
> Well yes... but iirc the input to the new format discussion was that most people read RFCs and drafts on-screen and mostly with the htmlized versions. So the needs of the occasional eccentrics who print them for off-line reading were set aside. (I can say that because I am such an eccentric.)
> 
>> (Also, I think the use of the ToC for quickly estimating a document?s throw weight is a valid one. I previously suggested associating a BogoPages metric with each non paginated RFC for this purpose.)
> 
> Well, the byte count serves fairly well for that too.
> 
> Regards
>   Brian
> 
> 
> 
> ------------------------------
> 
> Message: 5
> Date: Mon, 26 Oct 2020 21:38:27 -0000
> From: "Adrian Farrel" <[email-masked]>
> To: "'Jay Daley'" <[email-masked]>, "'Toerless Eckert'" <[email-masked]>
> Cc: "'John R. Levine'" <[email-masked]>,
> 	<[email-masked]>, <[email-masked]>
> Subject: Re: [rfc-i] John/rsoc: Re: Page numbers in RFCs questions /
> 	preferences
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
> 
> Hey Jay,
> 
> 
> 
> Who could point me to an RFC and a page# in that RFC (;-) that does
> actually include the magical words like "THERE SHALL BE NO RFC
> REPRESENTATION WITH PAGE NUMERS" ? Would really appreciate not having
> to read through the whole list of the RFC.
> 
> 
> 7990 section 7.3
> 
> 7994 section 4.1 (doesn't mention page numbers explicitly, but their absence
> is a direct consequence of this section's requirements).
> 
> 
> Section 4. of 7994 mentions a paginated text format (58 lines/page at most).
> Where are those text files ?
> 
> 
> 
> On the canonical site.  e.g. https://www.rfc-editor.org/info/rfc7994
> 
> 
> 
> While the RFC you point to has exactly the format that Toerless might want
> to see, it (perhaps naturally) pre-dates the changes that it describes.
> 
> 
> 
> So, if you go to (for example) https://www.rfc-editor.org/info/rfc8905
> you'll find a link to a text file that lacks the pagination.
> 
> 
> 
> Now, that might be moot given the later discussion of what 7994 was trying
> to talk about.
> 
> 
> 
> Cheers,
> 
> Adrian
> 
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://www.rfc-editor.org/pipermail/rfc-interest/attachments/20201026/885e12e0/attachment.html>
> 
> ------------------------------
> 
> Subject: Digest Footer
> 
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rfc-interest
> 
> 
> ------------------------------
> 
> End of rfc-interest Digest, Vol 192, Issue 20
> *********************************************
> 

—
Lisa Winkler, Founder
Association Management Solutions, LLC
5177 Brandin Court, Fremont, CA 94538
+1.510.492.4006 

Association Management Solutions - www.amsl.com
Management, Meetings and Events, Technology

Connect with us:  LinkedIn / Facebook / Twitter / YouTube

_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest